API
Print News Search Direct API
Zeitungen, Magazine, Fachpublikationen, redaktionelle Inhalte, Presseberichterstattung und Printjournalismus.
API-Referenz Version: 1.0.0 4 Endpunkte Authentifizierung
Basis-URL
https://api.pressmonitor.com Authentifizierung
Alle Anfragen verwenden die Authentifizierung mit Bearer-Token. Fügen Sie den Authorization-Header zu jedem Aufruf hinzu.
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/headlines Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| keywords_text | string | query | Ja | |
| lang_code | string | query | Nein | |
| country_code | string | query | Nein | |
| count | integer | query | Nein | |
| cursor | string | query | Nein | |
| sort | string | query | Nein | Sort order (date or relevance) |
| date_from | string | query | Nein | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | Nein | End date for news (YYYY-MM-DD format) |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Success
GET
/briefs Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| keywords_text | string | query | Ja | |
| lang_code | string | query | Nein | |
| country_code | string | query | Nein | |
| count | integer | query | Nein | |
| cursor | string | query | Nein | |
| sort | string | query | Nein | Sort order (date or relevance) |
| date_from | string | query | Nein | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | Nein | End date for news (YYYY-MM-DD format) |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Success
GET
/fulltext Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| keywords_text | string | query | Ja | |
| lang_code | string | query | Nein | |
| country_code | string | query | Nein | |
| count | integer | query | Nein | |
| cursor | string | query | Nein | |
| sort | string | query | Nein | Sort order (date or relevance) |
| date_from | string | query | Nein | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | Nein | End date for news (YYYY-MM-DD format) |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Success
GET
/clip Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| id | string | query | Ja | Clip/article ID to resolve |
| ns | string | query | Ja | Namespace prefix for multi-tenant index resolution |
| date | string | query | Ja | Date of the clip (YYYY-MM-DD) |
| host | string | query | Nein | Host name for tenant resolution |
| ttl | integer | query | Nein | Signed URL time-to-live in seconds |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/clip?id=VALUE&ns=VALUE&date=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Success